///////////////////////////////////////////////////////////////////
//Aufgabe 3a Kapitel Simulationen
/////////////////////////////////////////////////////////////////////
ArrayList<Kugel> kugeln;

private int hindernis_xmin = 450;
private int hindernis_ymin = 200;
private int hindernis_xmax = 550;
private int hindernis_ymax = 300;
float friction = 0.0; //Um die Spuren zu vergleichen friction = 0.0 wählen
float factor = 1-friction;


ArrayList<PVector> bahn1, bahn2;

void setup() {
  size(1000, 500, P3D);//Mit dem Renderer P2D kann schneller gezeichnet werden
  kugeln = new ArrayList<Kugel>();
  kugeln.add(new Kugel(new PVector(70, height/2), 30, new PVector(1, 3), color(255)));
  kugeln.add(new Kugel(new PVector(70, height/2+10), 30, new PVector(1, 3), color(255)));
  bahn1 = new ArrayList<PVector>();
  bahn2 = new ArrayList<PVector>();
  bahn1.add(new PVector(kugeln.get(0).getPos().x,kugeln.get(0).getPos().y));
  bahn2.add(new PVector(kugeln.get(1).getPos().x,kugeln.get(1).getPos().y));
}



void draw() {  
  background(255); 
  
  stroke(255,0,0);
  noFill();
  beginShape();
  for (PVector p : bahn1) vertex(p.x,p.y);
  endShape();
  
  stroke(0,0,255);
  noFill();
  beginShape();
  for (PVector p : bahn2) vertex(p.x,p.y);
  endShape();
  

  fill(0);
  noStroke();
  rectMode(CORNERS);
  rect(hindernis_xmin, hindernis_ymin, hindernis_xmax, hindernis_ymax);

  kugeln.get(0).aktualiseren();
  bahn1.add(new PVector(kugeln.get(0).getPos().x,kugeln.get(0).getPos().y));
  kugeln.get(0).pruefeKollisionRand();
  kugeln.get(0).pruefeKollisionRechteck();
  
  kugeln.get(1).aktualiseren();
  bahn2.add(new PVector(kugeln.get(1).getPos().x,kugeln.get(1).getPos().y));
  kugeln.get(1).pruefeKollisionRand();
  kugeln.get(1).pruefeKollisionRechteck();
  
}

void keyPressed() { save("test.png"); }